{
  flake,
  pkgs,
  ...
}:
{
  home.packages = builtins.attrValues {
    inherit (pkgs)
      discord
      ;
  };

  imports = [
    flake.inputs.nixcord.homeModules.nixcord
  ];
  programs.nixcord = {
    enable = false;
    discord.vencord = {
      unstable = false;
    };
    vesktop = {
      enable = false;
      autoscroll.enable = true;
    };
    config =
      let
        themeFile = "catppuccin-macchiato.theme.css";
        themePath = "https://catppuccin.github.io/discord/dist/${themeFile}";
      in
      {
        useQuickCss = true;
        autoUpdate = true;
        themeLinks = [
          themePath
        ];
        enabledThemes = [
          themeFile
        ];
        frameless = true;
        plugins = {
          alwaysAnimate.enable = true;
          alwaysTrust.domain = true;
          alwaysTrust.file = true;
          betterGifPicker.enable = true;
          fakeNitro = {
            enable = true;
            enableEmojiBypass = true;
            enableStickerBypass = true;
            enableStreamQualityBypass = true;
          };
          blurNSFW.enable = false;
          ignoreActivities = {
            enable = true;
            ignorePlaying = true;
            ignoreWatching = true;
          };
        };
      };
  };
}
